﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Data;

namespace ListOfArraysAsDataSource
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<object[]> data = new List<object[]>();
            Random r = new Random();

            data.Add(new object[]
            {
                "Column 1",
                "Column 2",
                "Column 3",
                "Column 4",
                "Column 5",
            });

            for (int i = 0; i < 10; i++)
            {
                object[] arr = new object[5];
                for (int j = 0; j < 5; j++)
                {
                    arr[j] = r.Next(100000,1000000);
                }
                data.Add(arr);
            }

            xamDataGrid1.DataSource = Table(data).DefaultView;
        }

        public DataTable Table(List<object[]> data)
        {
            DataTable table = new DataTable();

            foreach (object header in data[0])
            {
                table.Columns.Add(header.ToString(), typeof(object));
            }

            for (int i = 1; i < data.Count; i++)
            {
                table.Rows.Add(data[i]);
            }

            return table;
        }
    }
}
